Skip to main content
`Ctrl`+`K`

# PetscCommBuildTwoSidedGetType

get algorithm used when building two-sided communication

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscCommBuildTwoSidedGetType(MPI_Comm comm, PetscBuildTwoSidedType *twosided)

Logically Collective

## Output Parameters

- comm - communicator on which to query algorithm

- twosided - algorithm to use for `PetscCommBuildTwoSided()`

## See Also

`PetscCommBuildTwoSided()`, `PetscCommBuildTwoSidedSetType()`, `PetscBuildTwoSidedType`

## Level

developer

## Location

src/sys/utils/mpits.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages